Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.interfaces
Interface GOST3410Params

All Known Implementing Classes:
  GOST3410ParameterSpec

    public interface GOST3410Params

Method Summary
`java.lang.String` `getDigestParamSetOID()`
`java.lang.String` `getEncryptionParamSetOID()`
`GOST3410PublicKeyParameterSetSpec` `getPublicKeyParameters()`
`java.lang.String` `getPublicKeyParamSetOID()`

Method Detail

### getPublicKeyParamSetOID

    java.lang.String getPublicKeyParamSetOID()

### getDigestParamSetOID

    java.lang.String getDigestParamSetOID()

### getEncryptionParamSetOID

    java.lang.String getEncryptionParamSetOID()

### getPublicKeyParameters

    GOST3410PublicKeyParameterSetSpec getPublicKeyParameters()

Bouncy Castle Cryptography Library 1.45